plot.smooth.line {sma} | R Documentation

## Adding Lowess Lines to Current Plot

### Description

This function adds a `lowess` line to the current plot. The type of line can be specified as well as other parameters.

### Usage

    plot.smooth.line(x, M, f=0.1, ...)

### Arguments

`x` | a vector giving the x-coordinates of the points in the scatter plot. In the microarray context, this could be a vector of average log intensities. ie A
`M` | a vector giving the y-coordinates of the points in the scatter plot. In the microarray context, this could be a vector of log intensity ratios.
`f` | the smoother span. This gives the proportion of points in the plot which influence the smoothness at each value. Larger values give greater smoothness.
`...` | graphical parameters may also be supplied as arguments to the function (see `par`).

### Value

lines are added to the current plot.

### Note

An M vs A plot must be constructed prior to the execution of this function.

### References

Chambers, J. M., Cleveland, W. S., Kleiner, B. and Tukey, P. A. (1983). Graphical Methods for Data Analysis. Wadsworth, Belmont, California.

### See Also

`plot.mva`, `stat.ma`, `lines`, `lowess`, `smooth`.

### Examples

    data(MouseArray)
    ## mouse.setup <- init.grid()
    ## mouse.data <- init.data()

    plot.mva(mouse.data, mouse.setup)
    plot.smooth.line(mouse.lratio$A, mouse.lratio$M)

[Package sma version 0.5.14 Index]